# Visualization
TKV2d
Graphic2d

# Graphic2d_Array1OfVertex Class Reference

`#include <Graphic2d_Array1OfVertex.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic2d_Array1OfVertex (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Graphic2d_Array1OfVertex (const Graphic2d_Vertex &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Graphic2d_Vertex &V)
Standard_EXPORT void | Destroy ()
| ~Graphic2d_Array1OfVertex ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Graphic2d_Array1OfVertex & | Assign (const Graphic2d_Array1OfVertex &Other)
const Graphic2d_Array1OfVertex & | operator= (const Graphic2d_Array1OfVertex &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Graphic2d_Vertex &Value)
const Graphic2d_Vertex & | Value (const Standard_Integer Index) const
const Graphic2d_Vertex & | operator() (const Standard_Integer Index) const
Graphic2d_Vertex & | ChangeValue (const Standard_Integer Index)
Graphic2d_Vertex & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Graphic2d_Array1OfVertex (const Graphic2d_Array1OfVertex &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Array1OfVertex::Graphic2d_Array1OfVertex | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Graphic2d_Array1OfVertex::Graphic2d_Array1OfVertex | ( | const Graphic2d_Vertex & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Graphic2d_Array1OfVertex::~Graphic2d_Array1OfVertex | ( |  | ) | `[inline]`

Standard_EXPORT Graphic2d_Array1OfVertex::Graphic2d_Array1OfVertex | ( | const Graphic2d_Array1OfVertex & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Graphic2d_Array1OfVertex& Graphic2d_Array1OfVertex::Assign | ( | const Graphic2d_Array1OfVertex & | Other | ) |

Graphic2d_Vertex& Graphic2d_Array1OfVertex::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Graphic2d_Array1OfVertex::Destroy | ( |  | ) |

Standard_EXPORT void Graphic2d_Array1OfVertex::Init | ( | const Graphic2d_Vertex & | V | ) |

Standard_Boolean Graphic2d_Array1OfVertex::IsAllocated | ( |  | ) | const

Standard_Integer Graphic2d_Array1OfVertex::Length | ( |  | ) | const

Standard_Integer Graphic2d_Array1OfVertex::Lower | ( |  | ) | const

void Graphic2d_Array1OfVertex::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic2d_Array1OfVertex::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic2d_Array1OfVertex::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Graphic2d_Vertex& Graphic2d_Array1OfVertex::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Graphic2d_Vertex& Graphic2d_Array1OfVertex::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Graphic2d_Array1OfVertex& Graphic2d_Array1OfVertex::operator= | ( | const Graphic2d_Array1OfVertex & | Other | ) | `[inline]`

void Graphic2d_Array1OfVertex::SetValue | ( | const Standard_Integer | Index,
|  | const Graphic2d_Vertex & | Value
| ) |

Standard_Integer Graphic2d_Array1OfVertex::Upper | ( |  | ) | const

const Graphic2d_Vertex& Graphic2d_Array1OfVertex::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Graphic2d_Array1OfVertex::isAllocated `[private]`

Standard_Integer Graphic2d_Array1OfVertex::myLowerBound `[private]`

Standard_Address Graphic2d_Array1OfVertex::myStart `[private]`

Standard_Integer Graphic2d_Array1OfVertex::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Array1OfVertex.hxx